using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace RGV_WPF_FilteredItems
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, RoutedEventArgs e)
        {
            MyViewModel model = this.clubsGrid.DataContext as MyViewModel;
            model.Clubs.Clear();
            ObservableCollection<Club> clubs =  new ObservableCollection<Club>();

            for (int i = 0; i<10; i++)
            {
                clubs.Add(new Club("item " + i.ToString(), DateTime.Now, i));
            }
            model.Clubs = clubs;
        }

    }
}
